Maven 使用远程仓库错误
博客专区 > boonya 的博客 > 博客详情
Maven 使用远程仓库错误
boonya 发表于11个月前
Maven 使用远程仓库错误
  • 发表于 11个月前
  • 阅读 24
  • 收藏 0
  • 点赞 0
  • 评论 0

【腾讯云】新注册用户域名抢购1元起>>>   

摘要: Failure to transfer org.apache.maven.plugins:maven-surefire-plugin:pom:2.12.4 from http://10.10.10.231:18081/nexus/content/groups/pu

查看引用

~.m2\repository\org\apache\maven\plugins\maven-surefire-plugin\2.12.4

会发现里面只有一个maven-surefire-plugin-2.12.4.pom.lastUpdated的文件.而并没有maven-surefire-plugin-2.12.4.jar

解决办法

1.删除所有以lastUpdated结尾的文件 2.右键点击project -> Maven - Update Dependencies(Update Project...)

如果点击更新后发现

~.m2\repository\org\apache\maven\plugins\maven-surefire-plugin\2.12.4

下还是没有maven-surefire-plugin-2.12.4.jar 去http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-surefire-plugin/2.12.4/

下载

maven-surefire-plugin-2.12.4.jar maven-surefire-plugin-2.12.4.jar.sha1 maven-surefire-plugin-2.12.4.pom maven-surefire-plugin-2.12.4.pom.sha1

标签: Maven Plugin
  • 打赏
  • 点赞
  • 收藏
  • 分享
共有 人打赏支持
粉丝 71
博文 211
码字总数 43922
×
boonya
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: